Subject: Ticket Assigned - Complaint, order 9640243288
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Mon, 15 Mar 2021 11:42:42 +0000

Hi Krishan Singh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Complaint, order 9640243288 Hi!

I ordered Britax Romer BABY SAFE i-Size Car Seat and base. Order number is
9640243288.

Items arrived today evening, but I'm shocked how the car seat is packed.
Please see attached photo. This kind of delicate items should arrive their
original packaging and not just little plastic over them. I can not trust
this car seat is safe to use because of it's non sufficient packing!! We do
not know if it has been damaged/dropped etc during the transportation.

Could you please organise replacement with not opened original packing!

Best regards
Tanja Hahtokari

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2212987